1. e011b51 Merge pull request #96 from dart-lang/zone.strong by Keerti Parthasarathy · 1 year, 10 months ago master
  2. ab7276e Update Changelog. by Florian Loitsch · 1 year, 10 months ago
  3. 1b17964 The zone changes should work with a recent 1.x SDK. by Florian Loitsch · 1 year, 10 months ago
  4. ddcf338 Use 2.0-dev.infinity. by Florian Loitsch · 1 year, 10 months ago
  5. b704cd5 Update required version number. by Florian Loitsch · 1 year, 10 months ago
  6. b288c73 Fix return type of wrapUnaryGuarded. by Florian Loitsch · 2 years ago
  7. 1bae6d2 Update version number. by Florian Loitsch · 2 years, 1 month ago
  8. a8e8ee5 Update pubspec to require sdk 1.25. by Florian Loitsch · 2 years, 1 month ago
  9. 33b2310 Fix code for strong zones. by Florian Loitsch · 2 years, 2 months ago
  10. f7f0193 Merge pull request #95 from dart-lang/danrubel-patch-1 by Dan Rubel · 2 years, 3 months ago
  11. e29b23e Update CHANGELOG.md by Dan Rubel · 2 years, 3 months ago
  12. f80d725 fix deprecated pkg/test function usage by Kevin Moore · 2 years, 3 months ago 0.15.1
  13. 74c9ae5 support latest versions of packages by Kevin Moore · 2 years, 3 months ago
  14. 608c266 fixes for last CL by Kevin Moore · 2 years, 3 months ago
  15. eb6157d Merge pull request #93 from dart-lang/update-analyzer by Dan Rubel · 2 years, 3 months ago
  16. eb42008 update to use new analyzer API by danrubel · 2 years, 3 months ago
  17. f7076c2 Update to pkg/observable 0.17.0 (#92) by Matan Lurey · 2 years, 8 months ago 0.15.0
  18. 77f5f61 Revert "Update to pkg/observable 0.17.0" by Matan Lurey · 2 years, 8 months ago
  19. c124c2c Update to pkg/observable 0.17.0 by Matan Lurey · 2 years, 8 months ago
  20. 371c4b3 strong-mode clean benchmarks by Kevin Moore · 2 years, 10 months ago 0.14.0
  21. 0f6fcf3 remove unused test variable by Kevin Moore · 2 years, 10 months ago
  22. a7fffc2 dartfmt by Kevin Moore · 2 years, 10 months ago
  23. e49bc83 Update to extend package:observable (#90) by Todd Volkert · 2 years, 10 months ago
  24. 8c6e8f9 Add a type annotation to _identRegExp. by Paul Berry · 3 years ago
  25. d4d7fc3 make pub lish happy by John Messerly · 3 years, 4 months ago
  26. fa9ac07 fix observe package to be strong mode clean by John Messerly · 3 years, 4 months ago 0.13.5
  27. 1e7b896 add .test_config file for package bots by Jacob MacDonald · 3 years, 6 months ago
  28. 17fe7e8 Bump version by Vijay Menon · 3 years, 6 months ago 0.13.4
  29. 671802a Fixed strong mode errors and warnings reachable from lib/observe.dart by Vijay Menon · 3 years, 6 months ago
  30. d11c0ef add support for code_transformers 0.4.x by Jacob MacDonald · 3 years, 6 months ago
  31. 02a609b Merge pull request #84 from dart-lang/test-package by Jacob MacDonald · 3 years, 7 months ago
  32. 4a8083d update to the test package by Jacob MacDonald · 3 years, 7 months ago
  33. 5197403 Merge pull request #82 from dart-lang/0.13.2 by Jacob MacDonald · 3 years, 7 months ago
  34. d9ab1af revert back to unittest since the new test package zones cause failures by Jacob MacDonald · 3 years, 7 months ago
  35. c8d97f9 add some calls to Observable.dirtyCheck() to get tests passing by Jacob MacDonald · 3 years, 7 months ago
  36. 56e01a2 update analyzer, code_transformers, and migrate to test package by Jacob MacDonald · 3 years, 7 months ago
  37. faac399 update changelog and pubspec by John Messerly · 3 years, 8 months ago 0.13.1+3
  38. e8a5fdc Merge pull request #80 from eRaz0rHead/master by John Messerly · 3 years, 8 months ago
  39. 472fb10 Remove unneeded locals by eRaz0rHead · 3 years, 8 months ago
  40. 97785fe Update observable_list_test.dart by eRaz0rHead · 3 years, 8 months ago
  41. 83a4ae8 Test sorting from within reaction fn by eRaz0rHead · 3 years, 8 months ago
  42. fe17a5d Only emit change from []= when values differ by eRaz0rHead · 3 years, 8 months ago
  43. 636720f Merge pull request #74 from dart-lang/analyzer by Jacob MacDonald · 4 years ago
  44. 28cde01 widen analyzer constraints by keertip · 4 years ago
  45. 2739589 Merge pull request #20 from dart-lang/update-logging by Jacob MacDonald · 4 years, 2 months ago
  46. 6dd979d update logging to <0.12.0 by Jacob MacDonald · 4 years, 2 months ago
  47. 47655c3 Merge pull request #17 from dart-lang/move_docs_to_readme by John Messerly · 4 years, 3 months ago
  48. ead64a3 add readme, fixes #6 by John Messerly · 4 years, 3 months ago
  49. fd0ab8e Merge pull request #16 from dart-lang/analyzer by Jacob MacDonald · 4 years, 3 months ago
  50. bf6dd59 update analyzer to <=0.26.0 by Jacob MacDonald · 4 years, 3 months ago
  51. 85b4aa0 Merge pull request #15 from dart-lang/hasListObservers by Jacob MacDonald · 4 years, 3 months ago
  52. 76bcfa2 make hasListObservers public by Jacob MacDonald · 4 years, 3 months ago
  53. 206bd1f divide benchmark results by 10 since benchmark_harness reports the time it took to run 10 times, not once by Jacob MacDonald · 4 years, 3 months ago
  54. 05e5e83 update pubspec with new benchmark paths by Jacob MacDonald · 4 years, 4 months ago
  55. 94ed434 add back dirtyCheck() and move benchmarks to top level folder by Jacob MacDonald · 4 years, 4 months ago
  56. 354778b Port observe.js benchmarks and fix some issues that were discovered. by Jacob MacDonald · 4 years, 4 months ago
  57. 28bd5c8 Merge pull request #8 from kaendfinger/readme by sigmundch · 4 years, 4 months ago
  58. ab89bf1 Create README.md by Kenneth Endfinger · 4 years, 4 months ago
  59. 9eae064 fix up tests by Jacob MacDonald · 4 years, 4 months ago
  60. 0f7a5c5 Merge pull request #7 from dart-lang/pubspec by Jacob MacDonald · 4 years, 4 months ago v0.13.0+1
  61. b078ba7 chore(pubspec): Widen the analyzer constraint by Tim Blasi · 4 years, 4 months ago
  62. 4503e76 add option to not output log files by Jacob MacDonald · 4 years, 5 months ago
  63. 21a6863 change to named arguments in the transformer by Jacob MacDonald · 4 years, 5 months ago
  64. 4486297 change to named arguments in the transformer by Jacob MacDonald · 4 years, 5 months ago
  65. 2874087 Cleanup method signatures. by Jacob Richman · 4 years, 6 months ago 0.12.2+1
  66. eee2b8e Add .gitignore and .status file by Sigmund Cherem · 4 years, 7 months ago
  67. 5b70dff update to polymer js 0.5.1 by jakemac@google.com · 4 years, 8 months ago
  68. 1a386b0 Rolling packages to version 0.4.2 by sigmund@google.com · 4 years, 10 months ago
  69. 6a5ef62 Update to polymer js version 0.4.1 by jakemac@google.com · 4 years, 10 months ago
  70. 4f0b6f8 expand observe's dev_dependency on stack_trace by sigmund@google.com · 4 years, 11 months ago
  71. fe4a011 Prepare for 0.13.1 release by sigmund@google.com · 4 years, 11 months ago
  72. 62035e5 Link to stable-errors site from pub-build messages on the command line. by sigmund@google.com · 4 years, 11 months ago
  73. 6b638f0 Step one towards stable error messages with details: by sigmund@google.com · 4 years, 11 months ago
  74. 07c9151 Delete dead code from observe package by sigmund@google.com · 5 years ago
  75. d702f88 Expand dependency on analyzer from observe by sigmund@google.com · 5 years ago
  76. be162ac Properly set the lower bound for packages' dependencies on source_maps. by nweiz@google.com · 5 years ago
  77. 2aa15c2 Remove support for the old Span classes from source_maps. by nweiz@google.com · 5 years ago
  78. be0749c Only support the new source_span spans in barback. by nweiz@google.com · 5 years ago
  79. 3a24312 Switch various transformers and libraries they use over to source_span. by nweiz@google.com · 5 years ago
  80. 280c1ba Preparing versions to release polymer 0.12.0 by sigmund@google.com · 5 years ago
  81. f110438 Roll polymer packages to version 0.3.4 by sigmund@google.com · 5 years ago
  82. f77b650 Get ready to publish -dev versions of our packages with the NodeBind interop fixes. by sigmund@google.com · 5 years ago
  83. 637f170 Switch Node.bind to interop. This allows JS elements to work properly with Dart binding paths for things that are not JSON serializable. by jmesserly@google.com · 5 years ago
  84. 5233f42 More documentation fixes. by sigmund@google.com · 5 years ago
  85. 8d0a207 Fix typo in observe-list by sigmund@google.com · 5 years ago
  86. bcb6fe8 Update docs on @observable to hint about mixin Observable. by sigmund@google.com · 5 years ago
  87. 9e1caef Fix list_path_observer, temporarily add a test for it, but we'll likely remove it in the future since it's no longer in observe-js. by sigmund@google.com · 5 years ago
  88. 1d5cf24 Ensure observable transform is applied also on @PublishedProperty(reflect: true) by sigmund@google.com · 5 years ago
  89. fe5495c polymer: update test baseline and fix a type annotation by jmesserly@google.com · 5 years ago
  90. b1b5891 update polymer, nodebind, and templatebinding by jmesserly@google.com · 5 years ago
  91. 5eff5f1 Use parseDirectives were possible. Also mark analyzer ready to be released. by sigmund@google.com · 5 years ago
  92. 28746b9 Prepare for polymer 0.10.0 release by sigmund@google.com · 5 years ago
  93. 5f7a736 Expand the observe package's barback constraint. by nweiz@google.com · 5 years ago
  94. e2253f6 Update versions and release polymer & related packages by sigmund@google.com · 5 years ago
  95. 290d8c4 Only pass an AssetId to isPrimary and declareOutputs. by nweiz@google.com · 5 years ago
  96. bf674f0 [observe] provide notifications of keys/values changed for ObservableMap by jmesserly@google.com · 5 years ago
  97. 31e5c50 Prepare to push another pre-release by sigmund@google.com · 5 years ago
  98. 93eaf76 Reapply change that makes path-observer more agressive with property lookups. by sigmund@google.com · 5 years ago
  99. 5cb372b Revert "Change path-observer to lookup properties aggressively and report errors" by sigmund@google.com · 5 years ago
  100. 361a805 Change path-observer to lookup properties aggressively and report errors by sigmund@google.com · 5 years ago